Closed Bug 728822 Opened 8 years ago Closed 8 years ago

[cb-sea-miniosx64-0x] "plugin-container ... unknown error code: invalid pixel format"

Categories

(SeaMonkey :: Release Engineering, defect, P3, major)

x86_64
macOS

Tracking

(seamonkey2.10 wontfix, seamonkey2.11 verified, seamonkey2.12 verified)

VERIFIED FIXED
seamonkey2.13
Tracking Status
seamonkey2.10 --- wontfix
seamonkey2.11 --- verified
seamonkey2.12 --- verified

People

(Reporter: sgautherie, Assigned: ewong)

References

Details

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329723868.1329725860.18582.gz
OS X 10.6 comm-central-trunk debug test mochitests-4/5 on 2012/02/19 23:44:28

Log is *bloated* with
{
Sun Feb 19 23:50:25 cb-sea-miniosx64-01.sj.mozilla.com plugin-container[34669] <Error>: unknown error code: invalid pixel format
}

***

https://tbpl.mozilla.org/php/getParsedLog.php?id=9465873&tree=Firefox&full=1
Rev4 MacOSX Snow Leopard 10.6 mozilla-central debug test mochitests-4/5 on 2012-02-19 22:36:32 PST for push 561771f01881

is clean.
What does:
glxinfo | grep 'direct rendering'
say in the failing box?
cb-sea-miniosx64-02:~ seabld$ sudo glxinfo
Error: unable to open display
A worse case:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1330818089.1330824354.559.gz&fulltext=1
OS X 10.6 comm-central-trunk debug test mochitest-other on 2012/03/03 15:41:29
{
Sat Mar  3 15:55:32 cb-sea-miniosx64-01.sj.mozilla.com plugin-container[39799] &lt;Error>: unknown error code: invalid pixel format

Output exceeded 52428800 bytes, remaining output has been truncated
program finished with exit code 247
elapsedTime=3913.223988
TinderboxPrint: mochitest-chrome&lt;br/>&lt;em class="testfail">T-FAIL&lt;/em>
}
(In reply to Philip Chee from comment #1)
> What does:
> glxinfo | grep 'direct rendering'
> say in the failing box?

Is this something that's even supposed to work on Mac? The command sounds so Linux-y to me...
SM 2.13a1:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1341256701.1341258566.17546.gz&fulltext=1
OS X 10.6 comm-central-trunk debug test mochitests-4/5 on 2012/07/02 12:18:21
has 310+ k lines of this, out of 370- k lines (= 83%) :-<<
Target Milestone: seamonkey2.10 → ---
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #4)
> (In reply to Philip Chee from comment #1)
> > What does:
> > glxinfo | grep 'direct rendering'
> > say in the failing box?
> 
> Is this something that's even supposed to work on Mac? The command sounds so
> Linux-y to me...

It needs to be done in a Terminal.
I've done some poking on cb-sea-miniosx64-03 (I suspect it's the same thing
with -01); but doing "glxinfo" gives:

cb-sea-miniosx64-03:~ seabld$ glxinfo
name of display: /tmp/launch-LojaDe/:0
Thu Jul  5 20:13:51 cb-sea-miniosx64-03.comm-build.scl1.mozilla.com glxinfo[1009] <Error>: unknown error code: invalid pixel format
Thu Jul  5 20:13:51 cb-sea-miniosx64-03.comm-build.scl1.mozilla.com glxinfo[1009] <Error>: kCGErrorFailure: Set a breakpoint @ CGErrorBreakpoint() to catch errors as they are logged.
X Error of failed request: GLXBadContext
  Major opcode of failed request:  0 ()
  Serial number of failed request:  16
  Current serial number in output stream:   16
  
So this is a system issue and not a test issue.  

I'm going to take this interesting bug...
Assignee: nobody → ewong
Status: NEW → ASSIGNED
Depends on: 771413
Summary: [cb-sea-miniosx64-0x, (2.10) Trunk only] "plugin-container ... unknown error code: invalid pixel format" → [cb-sea-miniosx64-0x] "plugin-container ... unknown error code: invalid pixel format"
(In reply to Edmund Wong (:ewong) from comment #6)
> It needs to be done in a Terminal.

sure, I was saying that as the "glx" in "glxinfo" usually means "GL-supporting X server" and on Mac you are usually not running an X server at all. Apparently that command exists, though. Might go through the X stuff that exists for running X applications on Mac, esp. as it has a "X Error" here, which also is X server terminology.
Looking at the recent OSX64 builds, this looks like it's fixed.
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1342428451.1342430132.13980.gz&fulltext=1
OS X 10.6 comm-central-trunk debug test mochitests-4/5 on 2012/07/16 01:47:31
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1342295047.1342295811.25518.gz&fulltext=1
OS X 10.6 comm-aurora debug test mochitests-4/5 on 2012/07/14 12:44:07
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Release/1342304314.1342305068.2037.gz&fulltext=1
OS X 10.6 comm-release debug test mochitests-4/5 on 2012/07/14 15:18:34

V.Fixed
seamonkey2.12 and seamonkey2.11(not 2.10): verified.
Status: RESOLVED → VERIFIED
Flags: in-testsuite-
Target Milestone: --- → seamonkey2.13
You need to log in before you can comment on or make changes to this bug.